//ARRAYS MENUS
var inicio = new Array (
"Inicio", "index.htm",
"Secciones", "",
"Taller", "taller/taller.html",
"Tiralíneas", "tiralineas/tiralineas.html",
"Tutoriales", "tutoriales/tutoriales.html",
"Recursos", "recursos/recursos.html",
"Foros de discusión", "/tablones.html",
"", "#BUSCADOR#",
//"Mapa", "mapa.html",
//"Ayuda", "ayuda.html",
"Colaboradores", "",
"<em>Top</em> 10 colaboradores", "taller/autores.html",
"Enviar <em>scripts</em>", "taller/aportaciones/enviascripts.html",
"Recomendar a un amigo", "javascript:void(window.open('/recomendar.html', '_blank', 'toolbar=no,menubar=no,directories=no,status=no,resizable=yes,location=no,scrollbars=no,height=400,width=500'))",
"", "",
"Acerca de El Código", "creditos.html",
"Sugerencias", "sugerencias.html"
)
//VARIABLES
var index = ' class="index"'
var EstiloTitulo = '<span class="titulomenu">'
var EstiloTituloOff = '</span><br>'
var EstiloSuperTitulo = '<span class="supertitulomenu">'
var EstiloSuperTituloOff = '</span><br>'
var SeparadorS = '<img src="/images/dot.gif" width="1" height="6"><br>'
var SeparadorM = '<img src="/images/dot.gif" width="1" height="10"><br>'

function Enlace(ruta, item, pagina) {
	var enlace
	var clase = (pagina == 'index.htm') ? ' class="imagen"' : ''
	if ( pagina.indexOf(":") == -1 ) {
		enlace = (item != pagina? '<a' + clase + ' href="' + ruta + pagina + '">' : '')
	} else {
		enlace = '<a href="' + pagina + '">'
	}
	return enlace 
}

function EnlaceOff(item, pagina) {
return (item != pagina? '</a>' : '')
}

function MuestraPie(tipo, cerrar) {
  var pie = ''+
//  '<p align="center">' + eval('banner' + Math.floor(Math.random(1) * numBanners)) + '</p>' +
  '<hr>'+
  '<div class="centrado"><form>'+
  '<table border="0" width="65%" cellspacing="8">'+
  '<tr><td width="50%" align="center"><small>Webmaster: </small><br>'+
  '<a href="mailto:elcodigo@elcodigo.net">elcodigo@elcodigo.net</a></td>'+
  '<td width="50%" align="center">'+
  '<input type="button" value=" &lt;&lt; " name="anterior" onclick="history.go(-1);" class="metal">&nbsp;'+
  '<input type="button" value="Inicio" name="inicio" onclick="location.href=\'http://www.elcodigo.net/\';" class="metal">&nbsp;' +
  ((tipo != '') ? '<input type="button" value=" &gt;&gt; " name="siguiente" onclick="location.href=\'' + tipo + '\';" class="metal">' : '' )+
  ((cerrar == true) ? '<input type="button" value="Cerrar" name="cerrar" onclick="self.close();" class="metal">' : '' )+
  '</td></tr>'+
  '<tr><td colspan="2" align="center"><small>&copy; 1999 - 2003 por Iván Nieto Pérez<br><a href="/copyright.html" target="_self">Aviso legal</a></small></td></tr></table>'+
  '</form></div>'
  document.write(pie)
}

function MuestraCabecera() {
}

function MuestraDificultad(ruta, dificultad) {
  document.write('<small>Dificultad</small><br>')
  for (var x = 0; x < dificultad; x++) document.write('<img src="' + ruta + 'punt_on.gif" width="16" height="19" border="0">')
  for (var y = 0; y < 5 - dificultad; y++) document.write('<img src="' + ruta + 'punt_off.gif" width="16" height="19" border="0">')
}

function MenuNavegacion2 ( ruta, item, paginas ) {
	numelem = paginas.length
	for ( var x = 0; x < numelem; x=x+2 ) {
		if ( (paginas[x+1] == "") && (x == 0) ) document.write(SeparadorS + EstiloSuperTitulo + paginas[x] + EstiloSuperTituloOff + SeparadorS + '\n')
		else if ( paginas[x+1] == "" ) document.write(SeparadorS + EstiloTitulo + paginas[x] + EstiloTituloOff + SeparadorS + '\n')
		else if ( paginas[x] == "Inicio" ) { 
			document.write(Enlace(ruta, item, paginas[x+1]) + '<img src="/images/logo_small.gif" alt="Ir al inicio" border="0">' + EnlaceOff(item, paginas[x+1]) + '<br>') 
		}
		else if ( (paginas[x+1] == "#BUSCADOR#") && (item != "index.htm") ) buscador( 11 )
		else if ( paginas[x+1] == "#BUSCADOR#" ) {  }
		else document.write(Enlace(ruta, item, paginas[x+1]) + '<small' + (item == paginas[x+1] ? index : '' ) + '>' + paginas[x] + '</small>' + EnlaceOff(item, paginas[x+1]) + '<br>' + SeparadorS + '\n')
  }
}

function MuestraBanner2( ruta ) { //EXISTE POR COMPATIBILIDAD 
}

function buscador( ancho ) {
with (document) {
  write('<table width="60%" border="0" cellpadding="0" cellspacing="3">')
  write('<form name="buscar" action="/cgibin/buscar.cgi" method="get" onSubmit="return validaBuscador(this)">\n')  
  write('<tr><td>')
  write('<!-- Que: scripts --><input type="hidden" name="que" value="scripts">\n')
  write('<!-- Ambito: todo el documento --><input type="hidden" name="E" value="1">\n')
  write('<!-- Método: todas las palabras --><input type="hidden" name="X" value="1">\n')
  write('<!-- Dificultad: cualquier dificultad --><input type="hidden" name="dif" value="0">\n')
  write(EstiloTitulo + 'Buscador' + EstiloTituloOff)
  write('</td></tr><tr><td>')  
  write('<input type="text" name="Q" size="' + ancho + '">\n')
  write('</td></tr><tr><td>')    
  write('<select name="que" size="1"><option value="scripts">Scripts</option><option value="tutoriales">Información</option></select>')
  write('</td></tr><tr><td>')    
  write('<input type="submit" value="Buscar" name="buscar" class="metal">\n')
  write('</td></tr>')      
  write('</form>\n')
  write('</table>')
  }
}

function validaBuscador(formu) {
	if(formu.Q.value == "") {
		alert('Introduzca una palabra de búsqueda en el formulario.')
		return false
	}
	return true
}
